%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		yum-utils
#Epoch:		0
Version:	1.1.30
Release:	1
License:	GNU/GPLv2
URL:		http://yum.baseurl.org/wiki/YumUtils
Group:		System/Configuration/Packaging
Summary:	utilities and plugins for yum
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch

# Sources:
Source:		%{name}-%{version}.tar.gz

# Patches:

# Requires:
Requires: yum >= 3.2.29
Requires: python%{PVER}-kitchen
# required for the changelog plugin
Requires: python%{PVER}-dateutil

# BuildRequires:
BuildRequires: python%{PVER}-devel
BuildRequires: gettext
BuildRequires: intltool

%description
yum-utils is a collection of utilities and plugins extending and supplementing yum in different ways. 

%pre

%preun

%post
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%postun
if [ -f /sbin/ldconfig ]; then
    /sbin/ldconfig
fi

%prep
%setup -q -n %{name}-%{version}

FIX=$(find -type f -name "*" -exec grep -I -l -e "^#!/usr/bin/python" -e "^#!/usr/bin/env python" -e "PYTHON=python" "{}" \; )
for i in $FIX; do
    sed -i "s,^#!/usr/bin/python,#!/usr/bin/python%{PYVER}," $i
    sed -i "s,^#!/usr/bin/env python,#!/usr/bin/env python%{PYVER}," $i
    sed -i "s,PYTHON=python,PYTHON=python%{PYVER}," $i
done

%build

%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make -C updateonboot DESTDIR=$RPM_BUILD_ROOT install

%find_lang %name

# Plugins to install
plugins="\
 changelog \
 fastestmirror \
 protectbase \
 versionlock \
 tsflags \
 downloadonly \
 priorities \
 refresh-updatesd \
 merge-conf \
 security \
 upgrade-helper \
 aliases \
 list-data \
 filter-data \
 tmprepo \
 verify \
 keys \
 remove-with-leaves \
 post-transaction-actions \
 rpm-warm-cache \
 auto-update-debuginfo \
 show-leaves \
 local \
 fs-snapshot \
 ps \
"

mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/ $RPM_BUILD_ROOT/usr/lib/yum-plugins/
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum/post-actions

cd plugins
for plug in $plugins; do
    install -m 644 $plug/*.conf $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
    install -m 644 $plug/*.py $RPM_BUILD_ROOT/usr/lib/yum-plugins/
    %{__python} -c "import compileall; compileall.compile_dir('$RPM_BUILD_ROOT/usr/lib/yum-plugins', 1)"
done
install -m 644 aliases/aliases $RPM_BUILD_ROOT/%{_sysconfdir}/yum/aliases.conf
install -m 644 versionlock/versionlock.list $RPM_BUILD_ROOT/%{_sysconfdir}/yum/pluginconf.d/
# need for for the ghost in files section of yum-plugin-local
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/yum.repos.d
touch $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/_local.repo


# strip debug symbols from binaries
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files -f %{name}.lang
%defattr(-, root, root)
%doc README yum-util-cli-template
%doc COPYING
%doc plugins/README
%{_sysconfdir}/NetworkManager/dispatcher.d/yum-NetworkManager-dispatcher
%{_sysconfdir}/bash_completion.d/yum-utils.bash
%{_bindir}/debuginfo-install
%{_bindir}/find-repos-of-install
%{_bindir}/needs-restarting
%{_bindir}/package-cleanup
%{_bindir}/repo-graph
%{_bindir}/repo-rss
%{_bindir}/repoclosure
%{_bindir}/repodiff
%{_bindir}/repomanage
%{_bindir}/repoquery
%{_bindir}/reposync
%{_bindir}/repotrack
%{_bindir}/show-installed
%{_bindir}/verifytree
%{_bindir}/yum-builddep
%{_bindir}/yum-config-manager
%{_bindir}/yum-debug-dump
%{_bindir}/yum-debug-restore
%{_bindir}/yum-groups-manager
%{_bindir}/yumdownloader
%{python_sitearch}/yumutils
%{_sbindir}/yum-complete-transaction
%{_sbindir}/yumdb
%{_mandir}/man1/debuginfo-install.1.gz
%{_mandir}/man1/package-cleanup.1.gz
%{_mandir}/man1/repo-rss.1.gz
%{_mandir}/man1/repodiff.1.gz
%{_mandir}/man1/repoquery.1.gz
%{_mandir}/man1/reposync.1.gz
%{_mandir}/man1/yum-aliases.1.gz
%{_mandir}/man1/yum-builddep.1.gz
%{_mandir}/man1/yum-changelog.1.gz
%{_mandir}/man1/yum-debug-dump.1.gz
%{_mandir}/man1/yum-filter-data.1.gz
%{_mandir}/man1/yum-fs-snapshot.1.gz
%{_mandir}/man1/yum-groups-manager.1.gz
%{_mandir}/man1/yum-list-data.1.gz
%{_mandir}/man1/yum-utils.1.gz
%{_mandir}/man1/yum-verify.1.gz
%{_mandir}/man1/yum-versionlock.1.gz
%{_mandir}/man1/yumdownloader.1.gz
%{_mandir}/man5/yum-changelog.conf.5.gz
%{_mandir}/man5/yum-fs-snapshot.conf.5.gz
%{_mandir}/man5/yum-versionlock.conf.5.gz
%{_mandir}/man8/yum-complete-transaction.8.gz
%{_mandir}/man8/yum-security.8.gz
%{_mandir}/man8/yumdb.8.gz

# plugins - all of them are useful
# so we keep `em in the main package
%{_sysconfdir}/rc.d/init.d/yum-updateonboot
%{_sysconfdir}/sysconfig/yum-updateonboot
%{_sysconfdir}/yum.repos.d/_local.repo
%{_sysconfdir}/yum/aliases.conf
%{_sysconfdir}/yum/pluginconf.d/aliases.conf
%{_sysconfdir}/yum/pluginconf.d/auto-update-debuginfo.conf
%{_sysconfdir}/yum/pluginconf.d/changelog.conf
%{_sysconfdir}/yum/pluginconf.d/downloadonly.conf
%{_sysconfdir}/yum/pluginconf.d/fastestmirror.conf
%{_sysconfdir}/yum/pluginconf.d/filter-data.conf
%{_sysconfdir}/yum/pluginconf.d/fs-snapshot.conf
%{_sysconfdir}/yum/pluginconf.d/keys.conf
%{_sysconfdir}/yum/pluginconf.d/list-data.conf
%{_sysconfdir}/yum/pluginconf.d/local.conf
%{_sysconfdir}/yum/pluginconf.d/merge-conf.conf
%{_sysconfdir}/yum/pluginconf.d/post-transaction-actions.conf
%{_sysconfdir}/yum/pluginconf.d/priorities.conf
%{_sysconfdir}/yum/pluginconf.d/protectbase.conf
%{_sysconfdir}/yum/pluginconf.d/ps.conf
%{_sysconfdir}/yum/pluginconf.d/refresh-updatesd.conf
%{_sysconfdir}/yum/pluginconf.d/remove-with-leaves.conf
%{_sysconfdir}/yum/pluginconf.d/rpm-warm-cache.conf
%{_sysconfdir}/yum/pluginconf.d/security.conf
%{_sysconfdir}/yum/pluginconf.d/show-leaves.conf
%{_sysconfdir}/yum/pluginconf.d/tmprepo.conf
%{_sysconfdir}/yum/pluginconf.d/tsflags.conf
%{_sysconfdir}/yum/pluginconf.d/upgrade-helper.conf
%{_sysconfdir}/yum/pluginconf.d/verify.conf
%{_sysconfdir}/yum/pluginconf.d/versionlock.conf
%{_sysconfdir}/yum/pluginconf.d/versionlock.list
%{_libdir}/yum-plugins/aliases.py
%{_libdir}/yum-plugins/aliases.pyc
%{_libdir}/yum-plugins/auto-update-debuginfo.py
%{_libdir}/yum-plugins/auto-update-debuginfo.pyc
%{_libdir}/yum-plugins/changelog.py
%{_libdir}/yum-plugins/changelog.pyc
%{_libdir}/yum-plugins/downloadonly.py
%{_libdir}/yum-plugins/downloadonly.pyc
%{_libdir}/yum-plugins/fastestmirror.py
%{_libdir}/yum-plugins/fastestmirror.pyc
%{_libdir}/yum-plugins/filter-data.py
%{_libdir}/yum-plugins/filter-data.pyc
%{_libdir}/yum-plugins/fs-snapshot.py
%{_libdir}/yum-plugins/fs-snapshot.pyc
%{_libdir}/yum-plugins/keys.py
%{_libdir}/yum-plugins/keys.pyc
%{_libdir}/yum-plugins/list-data.py
%{_libdir}/yum-plugins/list-data.pyc
%{_libdir}/yum-plugins/local.py
%{_libdir}/yum-plugins/local.pyc
%{_libdir}/yum-plugins/merge-conf.py
%{_libdir}/yum-plugins/merge-conf.pyc
%{_libdir}/yum-plugins/post-transaction-actions.py
%{_libdir}/yum-plugins/post-transaction-actions.pyc
%{_libdir}/yum-plugins/priorities.py
%{_libdir}/yum-plugins/priorities.pyc
%{_libdir}/yum-plugins/protectbase.py
%{_libdir}/yum-plugins/protectbase.pyc
%{_libdir}/yum-plugins/ps.py
%{_libdir}/yum-plugins/ps.pyc
%{_libdir}/yum-plugins/refresh-updatesd.py
%{_libdir}/yum-plugins/refresh-updatesd.pyc
%{_libdir}/yum-plugins/remove-with-leaves.py
%{_libdir}/yum-plugins/remove-with-leaves.pyc
%{_libdir}/yum-plugins/rpm-warm-cache.py
%{_libdir}/yum-plugins/rpm-warm-cache.pyc
%{_libdir}/yum-plugins/security.py
%{_libdir}/yum-plugins/security.pyc
%{_libdir}/yum-plugins/show-leaves.py
%{_libdir}/yum-plugins/show-leaves.pyc
%{_libdir}/yum-plugins/tmprepo.py
%{_libdir}/yum-plugins/tmprepo.pyc
%{_libdir}/yum-plugins/tsflags.py
%{_libdir}/yum-plugins/tsflags.pyc
%{_libdir}/yum-plugins/upgrade-helper.py
%{_libdir}/yum-plugins/upgrade-helper.pyc
%{_libdir}/yum-plugins/verify.py
%{_libdir}/yum-plugins/verify.pyc
%{_libdir}/yum-plugins/versionlock.py
%{_libdir}/yum-plugins/versionlock.pyc

%clean
rm -Rf $RPM_BUILD_ROOT && rm -Rf $RPM_BUILD_DIR/%{name}-*

%changelog
* Tue Apr 12 2011 Karsten Brockmann <arcam@ccux-linux.de> 1.1.30-1
- initial CCux package release
